CON

  MAX_LEN = 64                                          ' 63 chars + zero terminator
  E               =     9                     ' Enable Bit
  RW              =     10                    ' Read Write Bit
  RS              =     11                    ' Register Select Bit

  
OBJ

  bs2 : "BS2_Functions"

VAR

  long  idx                        '  Counter
  byte  nstr[MAX_LEN]              ' for Transmit
  byte  myString[MAX_LEN]          ' for Recive
  byte  myStr[256]
  byte  temp
PUB Start
   BS2.start (2,1) ' Initialize BS2 Object timing, Rx and Tx pins for DEBUG
   SetString( @myStr, String("ABC") )
PRI SetString( dstStrPtr, srcStrPtr )
  repeat until
  ( byte[ dstStrPtr++ ] := byte[ srcStrPtr++ ] ) == 0

PUB Transmit
     Repeat
     ' RF is on pin 2 on propeller board    
        BS2.Pulsout(E, 1200)
        BS2.Debug_Str(@myStr)    ' send data to RF Unit
        BS2.Pause(1000)   ' 1 second pause     

PUB Recive
    Repeat temp from 0 to 9 'Repeat 10 times
    ' RF is on PIN 1 on Propeller board
        BS2.Serin_Str(1,@myString,9600,1,8)   ' Accept string passing pointer for variable
        BS2.Debug_Str(@myString)              ' display string at pointer
        BS2.Debug_Char(13)                    ' CR
        BS2.Debug_Char(myString[5])           ' show 6th character
    byte[$7000][temp]++ 'Increment RAM locations $7000 to $7009